## ros-melodic-dingo-viz 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dingo_viz)

find_package(catkin REQUIRED)

catkin_package()


install(DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/view_model.launch)
  roslaunch_add_file_check(launch/view_robot.launch)
endif()

=== debian/changelog ===
ros-melodic-dingo-viz (0.1.0-1stretch) stretch; urgency=high

  * Consolidated launch files.
  * Split the single launch file into separate launch files for Dingo-D vs Dingo-O; updated project maintainer to Tony
  * Added viz and desktop packages
  * Contributors: Dave Niewinski, Jason Higgins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-dingo-viz
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dingo-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dingo-description, ros-melodic-joint-state-publisher-gui, ros-melodic-rviz
Description: Visualization launchers and helpers for Dingo.

## ros-melodic-dingo-viz 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 catkin_package()
 
 
-install(DIRECTORY launch rviz
+install(DIRECTORY launch rviz rqt
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )
 
@@ -14,4 +14,5 @@
   find_package(roslaunch REQUIRED)
   roslaunch_add_file_check(launch/view_model.launch)
   roslaunch_add_file_check(launch/view_robot.launch)
+  roslaunch_add_file_check(launch/view_diagnostics.launch)
 endif()

=== debian/changelog ===
ros-melodic-dingo-viz (0.1.1-1bionic) bionic; urgency=high

  * Add rqt directory and launch file check
  * Add rqt_gui as exec_depend
  * Alphabetized and separated test_depend
  * Changed run_depend to exec_depend
  * Added view_diagnostics
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 15 Jan 2022 05:00:00 -0000

ros-melodic-dingo-viz (0.1.0-1bionic) bionic; urgency=high

  * Consolidated launch files.
  * Split the single launch file into separate launch files for Dingo-D vs Dingo-O; updated project maintainer to Tony
  * Added viz and desktop packages
  * Contributors: Dave Niewinski, Jason Higgins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-melodic-dingo-viz
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dingo-description, ros-melodic-joint-state-publisher-gui, ros-melodic-rviz
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dingo-description, ros-melodic-joint-state-publisher-gui, ros-melodic-rqt-console, ros-melodic-rqt-gui, ros-melodic-rqt-robot-monitor, ros-melodic-rviz
 Description: Visualization launchers and helpers for Dingo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dingo-viz//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
